import * as i0 from "@angular/core";
export declare enum FontSizeOption {
    SMALL = "small",
    MEDIUM = "medium",
    LARGE = "large"
}
export declare class FontSizeService {
    private readonly _size;
    readonly size: import("@angular/core").Signal<FontSizeOption>;
    private readonly isBrowser;
    constructor(platformId: object);
    setSize(size: FontSizeOption): void;
    private applySize;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontSizeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FontSizeService>;
}
